[package]
name = "project-hbj-attacker"
version = "0.1.0"
edition = "2024"

[dependencies]
dynasmrt = "4.0.1"
iced-x86 = { version = "1.21.0", features = ["code_asm"] }
libc = "0.2.177"
nix = { version = "0.30.1", features = ["ptrace", "uio", "signal"] }
ctor = "0.6.0"
libloading = "0.8.9"
goblin = "0.10.3"
memmap2 = "0.9.9"
ouroboros = "0.18.5"
anyhow = "1.0.100"

[profile.dev]
opt-level = 0
debug = true

[lib]
crate-type = ["cdylib"]
